---
- name: Install unattended-upgrades package
  apt:
    name: "unattended-upgrades"
    state: present
    cache_valid_time: 3600

- name: Place configuration files
  template:
    src: "{{ item.src }}"
    dest: "/etc/apt/apt.conf.d/{{ item.dest }}"
  with_items:
    - src: "auto-upgrades.j2"
      dest: "20auto-upgrades"
    - src: "unattended-upgrades.j2"
      dest: "50unattended-upgrades"
